### Hierarchy

- Color

## Index

### Constructors

- constructor

### Properties

- a
- b
- g
- r
- black
- empty
- transparent
- white
- whiteSmoke

### Methods

- fromArgb
- fromRgb

## Constructors

### constructor

- new Color(a?: number, r: number, g: number, b: number): Color

- - Defined in utils/Color.ts:21

  #### Parameters

  - ##### a: number = 255

  - ##### r: number

  - ##### g: number

  - ##### b: number

  #### Returns Color

## Properties

### a

a: number

- Defined in utils/Color.ts:16

### b

b: number

- Defined in utils/Color.ts:19

### g

g: number

- Defined in utils/Color.ts:18

### r

r: number

- Defined in utils/Color.ts:17

### Static black

black: Color = ...

- Defined in utils/Color.ts:4

### Static empty

empty: Color = ...

- Defined in utils/Color.ts:2

### Static transparent

transparent: Color = ...

- Defined in utils/Color.ts:3

### Static white

white: Color = ...

- Defined in utils/Color.ts:5

### Static whiteSmoke

whiteSmoke: Color = ...

- Defined in utils/Color.ts:6

## Methods

### Static fromArgb

- fromArgb(a: number, r: number, g: number, b: number): Color

- - Defined in utils/Color.ts:8

  #### Parameters

  - ##### a: number

  - ##### r: number

  - ##### g: number

  - ##### b: number

  #### Returns Color

### Static fromRgb

- fromRgb(r: number, g: number, b: number): Color

- - Defined in utils/Color.ts:12

  #### Parameters

  - ##### r: number

  - ##### g: number

  - ##### b: number

  #### Returns Color

Generated using TypeDoc